### Constructor

# EBookContacts Contact new_from_vcard_with_uid

since: 3.4

#### Declaration [src]

    EContact*
    e_contact_new_from_vcard_with_uid (
      const gchar* vcard,
      const gchar* uid
    )

#### Description [src]

Creates a new `EContact` based on a vcard and a predefined UID.

Available since: 3.4

#### Parameters

`vcard`

  Type: `const gchar*`

  A string representing a vcard.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uid`

  Type: `const gchar*`

  A contact UID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EContact`

A new `EContact`.

The caller of the function takes ownership of the data, and is responsible for freeing it.